## firefox 24.0+build1

=== debian/control ===
# vim:noexpandtab:
Source: firefox
Section: web
Priority: optional
Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox-beta.saucy
Build-Depends: cdbs,
	locales,
	debhelper (>= 7),
	autotools-dev,
	autoconf2.13,
	quilt,
	zip,
	libx11-dev,
	libxt-dev,
	libxext-dev,
	libgtk2.0-dev (>= 2.14),
	libglib2.0-dev (>= 2.18),
	libpango1.0-dev (>= 1.14.0),
	libfontconfig1-dev,
	libfreetype6-dev (>= 2.0.1),
	libgconf2-dev (>= 1.2.1),
	libgnomeui-dev (>= 2.2.0),
	libstartup-notification0-dev,
	libasound2-dev,
	libcurl4-openssl-dev,
	libdbus-glib-1-dev (>= 0.60),
	libgstreamer0.10-dev,
	libgstreamer-plugins-base0.10-dev,
	hardening-wrapper,
	lsb-release,
	libiw-dev,
	mesa-common-dev,
	libnotify-dev (>= 0.4),
	libxrender-dev,
	yasm (>= 1.1),
	unzip,
	dbus-x11,
	xvfb,
	python (>= 2.7)
Build-Conflicts: python-progressbar
Standards-Version: 3.9.1
XS-Testsuite: autopkgtest

Package: firefox
Architecture: any
Depends: lsb-release,
	${misc:Depends},
	${shlibs:Depends}
Recommends: xul-ext-ubufox,
	${support:Recommends},
	libcanberra0,
	libdbusmenu-glib4,
	libdbusmenu-gtk4
Provides: www-browser,
	iceweasel,
	gnome-www-browser,
	${app:Provides}
Suggests: ttf-lyx,
	${support:Suggests}
Breaks: ${transitional:Breaks}
Replaces: ${transitional:Replaces}
Conflicts: ${app:Conflicts},
	${transitional:Conflicts}
XB-Xul-AppId: {ec8030f7-c20a-464f-9b0e-13a3a9e97384}
Description: Safe and easy web browser from Mozilla
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.

Package: firefox-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends}, 
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: ${app:Conflicts},
Description: Safe and easy web browser from Mozilla - debug symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the debugging symbols for the Firefox web
 browser

Package: firefox-dev
Architecture: any
Section: devel
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version})
Provides: ${app:Provides}
Conflicts: xulrunner-2.0-dev,
	xulrunner-1.9.2-dev,
	xulrunner-1.9-dev,
	${app:Conflicts}
Description: Safe and easy web browser from Mozilla - development files
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the headers and SDK for building plugins with Firefox

Package: firefox-mozsymbols
Architecture: amd64 i386 armel
Section: debug
Priority: extra
Depends: ${shlibs:Depends}, 
	${misc:Depends},
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - Breakpad symbols
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox symbols in a format expected by Mozilla's
 Breakpad. Eventually this package should go away and the symbol upload be
 implemented in soyuz (or other builders that build this package)

Package: firefox-testsuite
Architecture: any
Section: misc
Priority: extra
Depends: ${shlibs:Depends},
	${misc:Depends},
	firefox (= ${binary:Version}),
	firefox-locale-af (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
	python,
	dbus-x11,
	xvfb,
	make,
	notify-osd,
	metacity,
	language-pack-en-base,
	language-pack-es-base,
	language-pack-fr-base,
	language-pack-pt-base,
	fonts-arabeyes,
	fonts-kacst,
	fonts-takao-mincho,
	fonts-takao-gothic,
	ttf-wqy-zenhei,
	fonts-arphic-uming,
	ttf-arphic-ukai,
	fonts-nanum,
	fonts-nanum-coding,
	fonts-unfonts-core,
	fonts-liberation,
	gnome-session,
	gnome-settings-daemon,
	ubuntu-settings,
	light-themes,
	unzip,
	hunspell-en-us,
	libgl1-mesa-dri
Provides: ${app:Provides}
Conflicts: ${app:Conflicts}
Description: Safe and easy web browser from Mozilla - testsuite
 Firefox delivers safe, easy web browsing. A familiar user interface,
 enhanced security features including protection from online identity theft,
 and integrated search let you get the most out of the web.
 .
 This package contains the Firefox testsuite

# Transitional packages below here

# Can be dropped after 14.04
Package: firefox-globalmenu
Architecture: any
Section: oldlibs
Priority: extra
Depends: firefox,
	${misc:Depends}
Description: Safe and easy web browser from Mozilla (transitional package)
 This is a transitional package to ensure that upgrades work correctly.
 It can be safely removed

# Language packs below here

Package: firefox-locale-af
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-af-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Afrikaans language pack for Firefox
 This package contains Afrikaans translations and search plugins
 for Firefox

Package: firefox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ar-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Arabic language pack for Firefox
 This package contains Arabic translations and search plugins
 for Firefox

Package: firefox-locale-as
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-as-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Assamese language pack for Firefox
 This package contains Assamese translations and search plugins
 for Firefox

Package: firefox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ast-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Asturian language pack for Firefox
 This package contains Asturian translations and search plugins
 for Firefox

Package: firefox-locale-be
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-be-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Belarusian language pack for Firefox
 This package contains Belarusian translations and search plugins
 for Firefox

Package: firefox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bg-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bulgarian language pack for Firefox
 This package contains Bulgarian translations and search plugins
 for Firefox

Package: firefox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bn-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bengali language pack for Firefox
 This package contains Bengali translations and search plugins
 for Firefox

Package: firefox-locale-br
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-br-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Breton language pack for Firefox
 This package contains Breton translations and search plugins
 for Firefox

Package: firefox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-bs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Bosnian language pack for Firefox
 This package contains Bosnian translations and search plugins
 for Firefox

Package: firefox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-ca-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Catalan; Valencian language pack for Firefox
 This package contains Catalan; Valencian translations and search plugins
 for Firefox

Package: firefox-locale-cs
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cs-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Czech language pack for Firefox
 This package contains Czech translations and search plugins
 for Firefox

Package: firefox-locale-csb
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-csb-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Kashubian language pack for Firefox
 This package contains Kashubian translations and search plugins
 for Firefox

Package: firefox-locale-cy
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-cy-base
Conflicts: ${app:Conflicts}
Provides: ${app:Provides}
Description: Welsh language pack for Firefox
 This package contains Welsh translations and search plugins
 for Firefox

Package: firefox-locale-da
Architecture: any
Depends: ${misc:Depends}
Replaces: language-pack-da-base

=== debian/rules ===
#!/usr/bin/make -f

MOZ_PKG_BASENAME	:= firefox

include $(CURDIR)/debian/build/config.mk

MOZ_APP			:= browser
MOZ_VENDOR		:= Mozilla
MOZ_MOZDIR		:=

MOZ_APP_SUBDIR	:= browser

MOZ_BRANDING		:= $(CHANNEL)
ifneq (,$(filter release beta, $(MOZ_BRANDING)))
MOZ_BRANDING		:= official
endif
ifeq (1,$(MOZ_FORCE_UNOFFICIAL_BRANDING))
ifneq (,$(filter official aurora, $(MOZ_BRANDING)))
MOZ_BRANDING		:= unofficial
endif
endif
MOZ_BRANDING_DIR 	:= $(MOZ_APP)/branding/$(MOZ_BRANDING)
ifeq (official,$(BRANDING))
MOZ_BRANDING_OPTION	:= --enable-official-branding
else
MOZ_BRANDING_OPTION	:= --with-branding=$(MOZ_BRANDING_DIR)
endif

MOZ_PKGNAME_SUBST_FILES = \
	debian/usr.bin.$(MOZ_PKG_NAME) \
	debian/README.Debian \
	debian/$(MOZ_PKG_NAME)-locale.preinst \
	debian/$(MOZ_PKG_BASENAME).sh \
	debian/apport/blacklist \
	debian/apport/native-origins \
	debian/apport/source_$(MOZ_PKG_NAME).py \
	debian/testing/run_mochitest \
	debian/testing/run_reftest \
	$(NULL)

MOZ_APPNAME_SUBST_FILES = \
	debian/$(MOZ_APP_NAME).1 \
	$(NULL)

MOZ_PKGCONFIG_FILES = \
	debian/pkgconfig/mozilla-plugin.pc \
	$(NULL)

include $(CURDIR)/debian/build/rules.mk

MOZ_EXECUTABLES_$(MOZ_PKG_NAME)-testsuite =	$(MOZ_LIBDIR)/testing/run_mochitest \
						$(MOZ_LIBDIR)/testing/run_reftest \
						$(MOZ_LIBDIR)/testing/run_xpcshell_tests \
						$(MOZ_LIBDIR)/xpcshell \
						$(MOZ_LIBDIR)/testing/filter_results \
						$(NULL)

debian/usr.bin.firefox.in:
	cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in

ifeq (firefox, $(MOZ_APP_NAME))
ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
PLUGIN_BREAKS := flashplugin-installer (<= 11.1.102.63ubuntu1), adobe-flashplugin (<= 11.1.102.63-0precise1)
PLUGIN_CONFLICTS := gcu-plugin (<= 0.12.10-1ubuntu1)
endif
endif

WRITE_SUBSTVARS = $(shell echo "$(2)=$(3)" | sed 's/[ \t\n]\+/ /g' >> debian/$(1).substvars)

ifeq (firefox, $(MOZ_PKG_NAME))
ifeq (,$(filter precise, $(DISTRIB_CODENAME)))
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,kubuntu-firefox-installer)
else
FIREFOX_REPLACES = abrowser, abrowser-branding, firefox-branding, kubuntu-firefox-installer
FIREFOX_BREAKS = abrowser (<= 4.0~b11+build3+nobinonly-0ubuntu1), abrowser-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), \
		 firefox-branding (<= 4.0~b11+build3+nobinonly-0ubuntu1), $(PLUGIN_BREAKS)
install/firefox::
	$(call WRITE_SUBSTVARS,firefox,transitional:Replaces,$(FIREFOX_REPLACES))
	$(call WRITE_SUBSTVARS,firefox,transitional:Breaks,$(FIREFOX_BREAKS))
	$(call WRITE_SUBSTVARS,firefox,transitional:Conflicts,$(PLUGIN_CONFLICTS))
endif
endif

$(patsubst %,binary-post-install/%,$(MOZ_LOCALE_PKGS)) :: binary-post-install/%:
	$(foreach xpi,$($(notdir $(wildcard debian/$*/$(MOZ_ADDONDIR)/extensions/*.xpi))), \
		dh_link -p$* $(MOZ_ADDONDIR)/extensions/$(xpi) $(MOZ_LIBDIR)/webapprt/extensions/$(xpi);)

make-langpack-preinsts:: $(foreach langpack,$(MOZ_LOCALE_PKGS),debian/$(langpack).preinst)
$(patsubst %,debian/%.preinst,$(MOZ_LOCALE_PKGS)) :: debian/%.preinst : debian/$(MOZ_PKG_NAME)-locale.preinst
	cp $< $@

pre-build:: make-langpack-preinsts

monkey-patch-upstream-files::
ifneq ($(MOZ_APP_BASENAME),$(MOZ_DEFAULT_APP_BASENAME))
	@echo "Setting MOZ_APP_UA_NAME to $(MOZ_DEFAULT_APP_BASENAME)"
	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/$(MOZ_BRANDING_DIR)/configure.sh, \
		echo "MOZ_APP_UA_NAME=$(MOZ_DEFAULT_APP_BASENAME)" >>)

	@echo "Setting UAName to $(MOZ_DEFAULT_APP_BASENAME)"
	$(call moz_monkey_patch_file,$(DEB_SRCDIR)/webapprt/application.ini.in, \
		sed -ri 's/@MOZ_APP_BASENAME@/$(MOZ_DEFAULT_APP_BASENAME)/g')
endif

clean::
	rm -f debian/$(MOZ_PKG_NAME)-locale-*.preinst
	rm -f debian/usr.bin.firefox.in

.PHONY: make-langpack-preinsts

=== debian/tests/control ===
Tests: xpcshell-tests xpcshell-package-tests jstestbrowser reftest crashtest mochitest-browser mochitest mochitest-chrome mochitest-a11y mochitest-ipcplugins post-process
Depends: firefox-testsuite

## firefox 26.0+build2

=== debian/changelog ===
firefox (26.0+build2-0ubuntu0.13.04.2) raring-security; urgency=low

  * New upstream stable release (FIREFOX_26_0_BUILD2)
    - see LP: #1258513 for USN information

  * Refresh patches
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update d/p/test-integration/xpcshell-dont-return-nonzero-on-test-failure.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/no_neon_on_arm.patch
  * Drop patches
    - remove d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - remove d/p/test-fixes/mochitest-dont-ship-browser-postupdate-test.patch
    - remove d/p/test-fixes/mochitest-tests-jar-fix.patch
    - update debian/patches/series
  * Update for mochitest/runtests.py changes
    - update debian/testing/testrunhelper.py
  * MOZILLA_OFFICIAL no longer controls whether the crashreporter is enabled,
    so just build with --disable-crashreporter to turn it off
    - update debian/apport/blacklist.in
    - update debian/build/config.mk
    - update debian/build/rules.mk
  * Backport patch from Aurora to add a missing include to BufferUnrotate.cpp
    - add debian/patches/fix-missing-include.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Dec 2013 13:18:02 +0000

firefox (25.0.1+build1-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (FIREFOX_25_0_1_BUILD1)
    - see LP: #1251576 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Nov 2013 10:32:47 +0000

firefox (25.0+build3-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (FIREFOX_25_0_BUILD3)
    - see LP: #1245414 for USN information

  * Refresh patches
    - update d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches
    - remove d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - remove d/p/test-fixes/xpcshell-contentprefs-no-writes-to-appdir.patch
    - remove d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - update debian/patches/series
  * Refactor the test results post-process script a bit so that it can use
    regular expressions in the configuration
    - update debian/testing/filter_results
    - update debian/testing/results-filter-manifest.json
    - update debian/tests/post-process
  * Run mochitest-plain in 5 chunks, similar to upstream. This should fix
    some test failures we see that seem to be caused by some tests not
    cleaning up properly (seems to fix LP: #1158781 and LP: #1194448)
    - update debian/testing/run_mochitest.in
    - update debian/tests/control
    - move debian/tests/mochitest => debian/tests/mochitest-1
    - add debian/tests/mochitest-2
    - add debian/tests/mochitest-3
    - add debian/tests/mochitest-4
    - add debian/tests/mochitest-5
  * Drop d/p/test-integration/test-sameoriginpolicy-debug.patch now that
    we run mochitest-plain in chunks
  * Add OCSPStaplingServer binary to testsuite
    - update debian/firefox-testsuite.install.in
    - update debian/build/rules.mk
  * Don't let make check failures fail the build for now, as there are some
    jit test failures
    - update debian/build/testsuite.mk
  * Try to stop the buildd's from terminating the build during long links
    (use a hack based on the one for the Chromium package)
    - add debian/build/keepalive-wrapper.py
    - update debian/build/rules.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 Oct 2013 10:20:34 +0000

firefox (24.0+build1-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (FIREFOX_24_0_BUILD1)
    - see LP: #1223826 for USN information

  * Make sure bindings are always attached for menu popups, even if they
    already have a wrapper when the menu opens
    - update debian/patches/unity-menubar.patch
  * Make sure bindings are attached for menu's too, so that menu.open
    always works (finally fixes livemarks when running in Unity)
    - update debian/patches/unity-menubar.patch
  * Refresh patches
    - update d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - update d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/unity-menubar.patch
  * Make the debian/control autogeneration a bit cleaner
    - update debian/build/config.mk
    - update debian/build/dump-langpack-control-entries.pl
    - update debian/build/rules.mk
    - update debian/control.in
  * Don't set stuff that is set by dpkg-buildpackage
    - update debian/build/config.mk
    - update debian/build/rules.mk
  * Remove the executable bit from more file types
    - update debian/build/rules.mk
  * The upstream mochitest harness now supports a manifest file for all tests
    except for browser-chrome, but we need a separate manifest for each now
    - update d/p/test-integration/mochitest-allow-test-manifest-for-chrome.patch


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox-beta.saucy
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.raring
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),

## firefox 28.0+build2

=== security/nss/cmd/crlutil/Makefile ===
#! gmake
# 
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################

#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include ../platlibs.mk

#######################################################################
# (5) Execute "global" rules. (OPTIONAL)                              #
#######################################################################

include $(CORE_DEPTH)/coreconf/rules.mk

#######################################################################
# (6) Execute "component" rules. (OPTIONAL)                           #
#######################################################################



#######################################################################
# (7) Execute "local" rules. (OPTIONAL).                              #
#######################################################################

#
# crlgen_lex can be generated on linux by flex or solaris by lex
#
crlgen_lex:
	${LEX} -t crlgen_lex_orig.l > crlgen_lex_fix.c
	sed -f crlgen_lex_fix.sed < crlgen_lex_fix.c > crlgen_lex.c
	rm -f crlgen_lex_fix.c

include ../platrules.mk

=== testing/marionette/client/docs/requirements.txt ===
# this is just taken verbatim from the deps list in setup.py
manifestdestiny
mozcrash >= 0.5
mozdevice >= 0.22
mozhttpd >= 0.5
moznetwork >= 0.21
mozprocess >= 0.9
mozprofile >= 0.7
mozrunner >= 5.15

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.raring
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.trusty
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -33,14 +33,15 @@
 	mesa-common-dev,
 	libnotify-dev (>= 0.4),
 	libxrender-dev,
+	libpulse-dev,
 	yasm (>= 1.1),
 	unzip,
 	dbus-x11,
 	xvfb,
-	python (>= 2.7)
-Build-Conflicts: python-progressbar
+	python (>= 2.7),
+	libffi-dev (>= 3.0.9) [arm64]
 Standards-Version: 3.9.1
-XS-Testsuite: autopkgtest
+#XS-Testsuite: autopkgtest
 
 Package: firefox
 Architecture: any
@@ -56,7 +57,7 @@
 	iceweasel,
 	gnome-www-browser,
 	${app:Provides}
-Suggests: ttf-lyx,
+Suggests: fonts-lyx,
 	${support:Suggests}
 Breaks: ${transitional:Breaks}
 Replaces: ${transitional:Replaces}
@@ -128,7 +129,7 @@
 Depends: ${shlibs:Depends},
 	${misc:Depends},
 	firefox (= ${binary:Version}),
-	firefox-locale-af (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
+	firefox-locale-af (= ${binary:Version}), firefox-locale-an (= ${binary:Version}), firefox-locale-ar (= ${binary:Version}), firefox-locale-as (= ${binary:Version}), firefox-locale-ast (= ${binary:Version}), firefox-locale-be (= ${binary:Version}), firefox-locale-bg (= ${binary:Version}), firefox-locale-bn (= ${binary:Version}), firefox-locale-br (= ${binary:Version}), firefox-locale-bs (= ${binary:Version}), firefox-locale-ca (= ${binary:Version}), firefox-locale-cs (= ${binary:Version}), firefox-locale-csb (= ${binary:Version}), firefox-locale-cy (= ${binary:Version}), firefox-locale-da (= ${binary:Version}), firefox-locale-de (= ${binary:Version}), firefox-locale-el (= ${binary:Version}), firefox-locale-en (= ${binary:Version}), firefox-locale-eo (= ${binary:Version}), firefox-locale-es (= ${binary:Version}), firefox-locale-et (= ${binary:Version}), firefox-locale-eu (= ${binary:Version}), firefox-locale-fa (= ${binary:Version}), firefox-locale-fi (= ${binary:Version}), firefox-locale-fr (= ${binary:Version}), firefox-locale-fy (= ${binary:Version}), firefox-locale-ga (= ${binary:Version}), firefox-locale-gd (= ${binary:Version}), firefox-locale-gl (= ${binary:Version}), firefox-locale-gu (= ${binary:Version}), firefox-locale-he (= ${binary:Version}), firefox-locale-hi (= ${binary:Version}), firefox-locale-hr (= ${binary:Version}), firefox-locale-hu (= ${binary:Version}), firefox-locale-hy (= ${binary:Version}), firefox-locale-id (= ${binary:Version}), firefox-locale-is (= ${binary:Version}), firefox-locale-it (= ${binary:Version}), firefox-locale-ja (= ${binary:Version}), firefox-locale-ka (= ${binary:Version}), firefox-locale-kk (= ${binary:Version}), firefox-locale-km (= ${binary:Version}), firefox-locale-kn (= ${binary:Version}), firefox-locale-ko (= ${binary:Version}), firefox-locale-ku (= ${binary:Version}), firefox-locale-lg (= ${binary:Version}), firefox-locale-lt (= ${binary:Version}), firefox-locale-lv (= ${binary:Version}), firefox-locale-mai (= ${binary:Version}), firefox-locale-mk (= ${binary:Version}), firefox-locale-ml (= ${binary:Version}), firefox-locale-mn (= ${binary:Version}), firefox-locale-mr (= ${binary:Version}), firefox-locale-ms (= ${binary:Version}), firefox-locale-nb (= ${binary:Version}), firefox-locale-nl (= ${binary:Version}), firefox-locale-nn (= ${binary:Version}), firefox-locale-nso (= ${binary:Version}), firefox-locale-oc (= ${binary:Version}), firefox-locale-or (= ${binary:Version}), firefox-locale-pa (= ${binary:Version}), firefox-locale-pl (= ${binary:Version}), firefox-locale-pt (= ${binary:Version}), firefox-locale-ro (= ${binary:Version}), firefox-locale-ru (= ${binary:Version}), firefox-locale-si (= ${binary:Version}), firefox-locale-sk (= ${binary:Version}), firefox-locale-sl (= ${binary:Version}), firefox-locale-sq (= ${binary:Version}), firefox-locale-sr (= ${binary:Version}), firefox-locale-sv (= ${binary:Version}), firefox-locale-sw (= ${binary:Version}), firefox-locale-ta (= ${binary:Version}), firefox-locale-te (= ${binary:Version}), firefox-locale-th (= ${binary:Version}), firefox-locale-tr (= ${binary:Version}), firefox-locale-uk (= ${binary:Version}), firefox-locale-vi (= ${binary:Version}), firefox-locale-xh (= ${binary:Version}), firefox-locale-zh-hans (= ${binary:Version}), firefox-locale-zh-hant (= ${binary:Version}), firefox-locale-zu (= ${binary:Version}),
 	python,
 	dbus-x11,
 	xvfb,
@@ -143,9 +144,9 @@
 	fonts-kacst,
 	fonts-takao-mincho,
 	fonts-takao-gothic,
-	ttf-wqy-zenhei,
+	fonts-wqy-zenhei,
 	fonts-arphic-uming,
-	ttf-arphic-ukai,
+	fonts-arphic-ukai,
 	fonts-nanum,
 	fonts-nanum-coding,
 	fonts-unfonts-core,
@@ -191,6 +192,16 @@
  This package contains Afrikaans translations and search plugins
  for Firefox
 
+Package: firefox-locale-an
+Architecture: any
+Depends: ${misc:Depends}
+Replaces: language-pack-an-base
+Conflicts: ${app:Conflicts}
+Provides: ${app:Provides}
+Description: Aragonese language pack for Firefox
+ This package contains Aragonese translations and search plugins
+ for Firefox
+
 Package: firefox-locale-ar
 Architecture: any
 Depends: ${misc:Depends}
@@ -298,20 +309,3 @@
 Conflicts: ${app:Conflicts}
 Provides: ${app:Provides}
 Description: Kashubian language pack for Firefox
- This package contains Kashubian translations and search plugins
- for Firefox
-
-Package: firefox-locale-cy
-Architecture: any
-Depends: ${misc:Depends}
-Replaces: language-pack-cy-base
-Conflicts: ${app:Conflicts}
-Provides: ${app:Provides}
-Description: Welsh language pack for Firefox
- This package contains Welsh translations and search plugins
- for Firefox
-
-Package: firefox-locale-da
-Architecture: any
-Depends: ${misc:Depends}
-Replaces: language-pack-da-base

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,11 @@
 						$(NULL)
 
 debian/usr.bin.firefox.in:
-	cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in
+	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
+		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
+	else \
+		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in ; \
+	fi
 
 ifeq (firefox, $(MOZ_APP_NAME))
 ifneq (,$(filter precise, $(DISTRIB_CODENAME)))

=== debian/tests/control ===
Tests: xpcshell-tests xpcshell-package-tests jstestbrowser reftest crashtest mochitest-1 mochitest-2 mochitest-3 mochitest-4 mochitest-5 mochitest-browser mochitest-chrome mochitest-a11y mochitest-ipcplugins post-process
Depends: firefox-testsuite

## firefox 29.0+build1

=== debian/changelog ===
firefox (29.0+build1-0ubuntu0.12.10.3) quantal-security; urgency=medium

  * New upstream stable release (FIREFOX_29_0_BUILD1)
    - see LP: #1313464 for USN information

  [ Jamie Strandboge <jamie@canonical.com> ]
  * usr.bin.firefox.apparmor*: updates for new firefox releases (LP: #1288260)
    - allow read of /sys/devices/pci[0-9]*/**/uevent
    - allow read of /etc/udev/udev.conf
    - explicityly deny /run/udev/data/**, like we do with evince

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Add Malay language pack
  * Backport changeset from mozilla-central for aarch64 support
    - add debian/patches/aarch64-support.patch
    - update debian/patches/series
  * Use --enable-system-libffi on arm64, as the bundled libffi doesn't
    support this yet
  * Refresh patches
    - update debian/patches/unity-menubar.patch
    - update debian/patches/no_neon_on_arm.patch
  * Backport changeset from aurora to fix armhf build
    - add debian/patches/fix-armhf-build.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 Apr 2014 00:48:05 +0100

firefox (28.0+build2-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_28_0_BUILD2)
    - see LP: #1291982 for USN information

  [ Adam Conrad <adconrad@ubuntu.com> ]
  * Build with --enable-release option to use "more conservative, release
    engineering-oriented options" as recommended by upstream for distros:
    - Fixes FTBFS on powerpc and may improve stability on other arches.

  [ Chris Coulson <chris.coulson@canonical.com> ]
  * Make geolocation work
  * Refresh patches
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
  * Add pulseaudio dependency
    - update debian/control

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 13 Mar 2014 13:38:40 +0000

firefox (27.0.1+build1-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_27_0_1_BUILD1)
    - see USN-2102-2

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 18 Feb 2014 12:28:11 +0000

firefox (27.0+build1-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_27_0_BUILD1)
    - see LP: #1274468 for USN information

  * Refresh patches
    - update debian/patches/allow-lockPref-everywhere.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch
  * Drop debian/patches/fix-missing-include.patch, as it's fixed upstream
  * Add Aragonese and Xhosa language packs
    - update debian/control
    - update debian/locales.shipped
    - update debian/locales.all
    - add debian/searchplugins/an/list.txt
    - add debian/searchplugins/xh/list.txt
  * Disable Ganda and Northern Sotho locales

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 30 Jan 2014 11:36:04 +0000

firefox (26.0+build2-0ubuntu0.12.10.2) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_26_0_BUILD2)
    - see LP: #1258513 for USN information

  * Refresh patches
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update d/p/test-integration/xpcshell-dont-return-nonzero-on-test-failure.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/no_neon_on_arm.patch
  * Drop patches
    - remove d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - remove d/p/test-fixes/mochitest-dont-ship-browser-postupdate-test.patch
    - remove d/p/test-fixes/mochitest-tests-jar-fix.patch
    - update debian/patches/series
  * Update for mochitest/runtests.py changes
    - update debian/testing/testrunhelper.py
  * MOZILLA_OFFICIAL no longer controls whether the crashreporter is enabled,
    so just build with --disable-crashreporter to turn it off
    - update debian/apport/blacklist.in
    - update debian/build/config.mk
    - update debian/build/rules.mk
  * Backport patch from Aurora to add a missing include to BufferUnrotate.cpp
    - add debian/patches/fix-missing-include.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Dec 2013 13:19:31 +0000

firefox (25.0.1+build1-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_25_0_1_BUILD1)
    - see LP: #1251576 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Nov 2013 10:33:13 +0000

firefox (25.0+build3-0ubuntu0.12.10.1) quantal-security; urgency=low

  * New upstream stable release (FIREFOX_25_0_BUILD3)
    - see LP: #1245414 for USN information

  * Refresh patches
    - update d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.trusty
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.head
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -41,7 +41,7 @@
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [arm64]
 Standards-Version: 3.9.1
-#XS-Testsuite: autopkgtest
+XS-Testsuite: autopkgtest
 
 Package: firefox
 Architecture: any
@@ -57,7 +57,7 @@
 	iceweasel,
 	gnome-www-browser,
 	${app:Provides}
-Suggests: fonts-lyx,
+Suggests: ttf-lyx,
 	${support:Suggests}
 Breaks: ${transitional:Breaks}
 Replaces: ${transitional:Replaces}
@@ -144,9 +144,9 @@
 	fonts-kacst,
 	fonts-takao-mincho,
 	fonts-takao-gothic,
-	fonts-wqy-zenhei,
+	ttf-wqy-zenhei,
 	fonts-arphic-uming,
-	fonts-arphic-ukai,
+	ttf-arphic-ukai,
 	fonts-nanum,
 	fonts-nanum-coding,
 	fonts-unfonts-core,
